pandoc-lua-marshal-0.3.0: Use pandoc types in Lua

Copyright | © 2021-2024 Albert Krewinkel
License | MIT
Maintainer | Albert Krewinkel <tarleb+pandoc@moltkeplatz.de>
Safe Haskell | None
Language | Haskell2010

Text.Pandoc.Lua.Marshal.TableFoot

Description

Marshaling/unmarshaling functions of `TableFoot` values.

Synopsis

- peekTableFoot :: LuaError e => Peeker e TableFoot
- pushTableFoot :: LuaError e => TableFoot -> LuaE e ()
- typeTableFoot :: LuaError e => DocumentedType e TableFoot
- mkTableFoot :: LuaError e => DocumentedFunction e

# Documentation

peekTableFoot :: LuaError e => Peeker e TableFoot #

Retrieves a `Cell` from the stack.

pushTableFoot :: LuaError e => TableFoot -> LuaE e () #

Push a TableFoot as a userdata value.

typeTableFoot :: LuaError e => DocumentedType e TableFoot #

Row object type.

mkTableFoot :: LuaError e => DocumentedFunction e #

Constructor function for `Row` values.